# CryptoUtils

## Number to bytes conversion

```@docs
CryptoUtils.b2n
CryptoUtils.n2b
```


## Prime numbers

```@docs
CryptoUtils.random_prime
CryptoUtils.safe_prime
CryptoUtils.tower_two_prime
CryptoUtils.get_first_primes
CryptoUtils.twin_primes
```


## Number theory

```@docs
CryptoUtils.find_quadratic_non_residue
CryptoUtils.is_quadratic_residue
CryptoUtils.sqrt_mod_prime
CryptoUtils.jacobi
CryptoUtils.legendre
CryptoUtils.continued_fraction
CryptoUtils.convergents
CryptoUtils.surd
CryptoUtils.hoc_sqrt
CryptoUtils.tonelli_shanks
CryptoUtils.is_generator
CryptoUtils.get_safe_prime_generator
```


## Cryptography

```@docs
CryptoUtils.factor_with_ed
CryptoUtils.wiener
```
